Bug 1990447 - Worker machine object updated too many times [gcp]
Summary: Worker machine object updated too many times [gcp]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Mike Fedosin
QA Contact: Yihao Guo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-05 12:28 UTC by Mike Fedosin
Modified: 2021-10-18 17:45 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-gcp pull 168 0 None None None 2021-08-05 12:57:03 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:24 UTC

Description Mike Fedosin 2021-08-05 12:28:07 UTC
Description of problem:
"[sig-arch] events should not repeat pathologically" fails on CI: https://testgrid.k8s.io/redhat-openshift-ocp-release-4.9-informing#periodic-ci-openshift-release-master-ci-4.9-e2e-gcp-serial

This happens because gcp machine controller always creates an event even if the machine hasn't been modified.

Related to https://bugzilla.redhat.com/show_bug.cgi?id=1988992 and https://bugzilla.redhat.com/show_bug.cgi?id=1989980

Comment 2 Yihao Guo 2021-08-23 10:18:22 UTC
Validated on :
$ ./oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-08-22-070405   True        False         43m     Cluster version is 4.9.0-0.nightly-2021-08-22-070405

After delete a machine, the update event was fired only when resourceVersion is modified 

$ ./oc delete machine jialiu-25833-wbrm8-worker-us-east-2a-zstr5
machine.machine.openshift.io "jialiu-25833-wbrm8-worker-us-east-2a-zstr5" deleted

$ ./oc logs machine-api-controllers-79fc9cdc89-5fdm9 -c machine-controller | grep -i "Updated Machine jialiu-25833-wbrm8-worker-us-east-2a-zhvt7"
I0823 09:46:37.501283       1 reconciler.go:236] Updated machine jialiu-25833-wbrm8-worker-us-east-2a-zhvt7
I0823 09:46:37.615491       1 recorder.go:104] controller-runtime/manager/events "msg"="Normal"  "message"="Updated Machine jialiu-25833-wbrm8-worker-us-east-2a-zhvt7" "object"={"kind":"Machine","namespace":"openshift-machine-api","name":"jialiu-25833-wbrm8-worker-us-east-2a-zhvt7","uid":"cfd2beb6-1d14-4630-a327-26a30daa0d8d","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"67604"} "reason"="Update"

Comment 3 Yihao Guo 2021-08-23 10:20:40 UTC
Validated on :
$ ./oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-08-22-070405   True        False         43m     Cluster version is 4.9.0-0.nightly-2021-08-22-070405

After delete a machine, the update event was fired only when resourceVersion is modified 

$ ./oc delete machine jialiu-25833-wbrm8-worker-us-east-2a-zstr5
machine.machine.openshift.io "jialiu-25833-wbrm8-worker-us-east-2a-zstr5" deleted

$ ./oc logs machine-api-controllers-79fc9cdc89-5fdm9 -c machine-controller | grep -i "Updated Machine jialiu-25833-wbrm8-worker-us-east-2a-zhvt7"
I0823 09:46:37.501283       1 reconciler.go:236] Updated machine jialiu-25833-wbrm8-worker-us-east-2a-zhvt7
I0823 09:46:37.615491       1 recorder.go:104] controller-runtime/manager/events "msg"="Normal"  "message"="Updated Machine jialiu-25833-wbrm8-worker-us-east-2a-zhvt7" "object"={"kind":"Machine","namespace":"openshift-machine-api","name":"jialiu-25833-wbrm8-worker-us-east-2a-zhvt7","uid":"cfd2beb6-1d14-4630-a327-26a30daa0d8d","apiVersion":"machine.openshift.io/v1beta1","resourceVersion":"67604"} "reason"="Update"

Comment 6 errata-xmlrpc 2021-10-18 17:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.